USN-2909-2

See a problem?
Source
https://ubuntu.com/security/notices/USN-2909-2
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-2909-2.json
JSON Data
https://api.osv.dev/v1/vulns/USN-2909-2
Published
2016-02-27T08:58:52.813235Z
Modified
2016-02-27T08:58:52.813235Z
Summary
linux-lts-utopic regression
Details

USN-2909-1 fixed vulnerabilities in the Ubuntu 14.10 Linux kernel backported to Ubuntu 14.04 LTS. An incorrect locking fix caused a regression that broke graphics displays for Ubuntu 14.04 LTS guests running the Ubuntu 14.10 backport kernel within VMWare virtual machines. This update fixes the problem.

We apologize for the inconvenience.

Original advisory details:

halfdog discovered that OverlayFS, when mounting on top of a FUSE mount, incorrectly propagated file attributes, including setuid. A local unprivileged attacker could use this to gain privileges. (CVE-2016-1576)

halfdog discovered that OverlayFS in the Linux kernel incorrectly propagated security sensitive extended attributes, such as POSIX ACLs. A local unprivileged attacker could use this to gain privileges. (CVE-2016-1575)

It was discovered that the Linux kernel's Filesystem in Userspace (FUSE) implementation did not handle initial zero length segments properly. A local attacker could use this to cause a denial of service (unkillable task). (CVE-2015-8785)

References

Affected packages

Ubuntu:14.04:LTS / linux-lts-utopic

Package

Name
linux-lts-utopic

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
3.16.0-62.83~14.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-3.16.0-62-generic": "3.16.0-62.83~14.04.1",
            "linux-image-3.16.0-62-powerpc-e500mc": "3.16.0-62.83~14.04.1",
            "linux-image-3.16.0-62-powerpc64-smp": "3.16.0-62.83~14.04.1",
            "linux-image-extra-3.16.0-62-generic": "3.16.0-62.83~14.04.1",
            "linux-image-3.16.0-62-powerpc64-emb": "3.16.0-62.83~14.04.1",
            "linux-image-3.16.0-62-generic-lpae": "3.16.0-62.83~14.04.1",
            "linux-image-3.16.0-62-lowlatency": "3.16.0-62.83~14.04.1",
            "linux-image-3.16.0-62-powerpc-smp": "3.16.0-62.83~14.04.1"
        }
    ]
}